Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events.exceptions
Class ConstrainedValueException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.hyades.logging.events.exceptions.ConstrainedValueException

All Implemented Interfaces:
  java.io.Serializable

Deprecated. This class is deprecated as of 2004-05-17 To change this generated comment edit the template variable "typecomment": Window>Preferences>Java>Templates. To enable and disable the creation of type comments go to Window>Preferences>Java>Code Generation.

public class ConstrainedValueException
extends java.lang.Exception

Author:
  rduggan
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `attributeDescription` Deprecated.
`protected java.lang.String` | `attributeName` Deprecated.
`protected java.lang.String` | `maxValue` Deprecated.
`protected java.lang.String` | `minValue` Deprecated.
`static int` | `MUTUALLY_EXCLUSIVE_VALUE` Deprecated.
`static int` | `STRING_TOO_LONG` Deprecated.
`static int` | `STRING_TOO_SHORT` Deprecated.
`static int` | `UNKNOWN` Deprecated.

Constructor Summary
`ConstrainedValueException(java.lang.String attributeName)` Deprecated.

Method Summary
`void` | `setReason(int reason)` Deprecated.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNKNOWN

    public static final int UNKNOWN

  Deprecated.
  See Also:
    Constant Field Values

### STRING_TOO_LONG

    public static final int STRING_TOO_LONG

  Deprecated.
  See Also:
    Constant Field Values

### STRING_TOO_SHORT

    public static final int STRING_TOO_SHORT

  Deprecated.
  See Also:
    Constant Field Values

### MUTUALLY_EXCLUSIVE_VALUE

    public static final int MUTUALLY_EXCLUSIVE_VALUE

  Deprecated.
  See Also:
    Constant Field Values

### attributeName

    protected java.lang.String attributeName

  Deprecated.

### attributeDescription

    protected java.lang.String attributeDescription

  Deprecated.

### minValue

    protected java.lang.String minValue

  Deprecated.

### maxValue

    protected java.lang.String maxValue

  Deprecated.

Constructor Detail

### ConstrainedValueException

    public ConstrainedValueException(java.lang.String attributeName)

  Deprecated.

Method Detail

### setReason

    public void setReason(int reason)

  Deprecated.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD